| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::ComboBoxDelegate Class Reference
Inheritance diagram for Digikam::ComboBoxDelegate:

## Public Member Functions
| ComboBoxDelegate (DItemsList *const, const QMap< int, QString > &)
void | startEditing (QTreeWidgetItem *, int)
| Whenever an element needs to be edited, this method should be called.
void | paint (QPainter *, const QStyleOptionViewItem &, const QModelIndex &) const override
| Overloaded functions to provide the delegate functionality.
QSize | sizeHint (const QStyleOptionViewItem &, const QModelIndex &) const override
QWidget * | createEditor (QWidget *, const QStyleOptionViewItem &, const QModelIndex &) const override
void | setEditorData (QWidget *, const QModelIndex &) const override
void | setModelData (QWidget *, QAbstractItemModel *, const QModelIndex &) const override

## Member Function Documentation

## ◆ startEditing()

void Digikam::ComboBoxDelegate::startEditing | ( | QTreeWidgetItem * | item,
|  | int | column
| ) |  |

It's actually a hack to prevent the item text shining through whenever editing occurs.